From 146fb83702374f545de3f61e0866404a241cb6a2 Mon Sep 17 00:00:00 2001
From: ramin <lordrasmus@gmail.com>
Date: Sun, 12 Nov 2023 12:16:27 +0100
Subject: [PATCH] add NO_MISC for disabling misc tests, currently the test
 tst-rlimit is hanging on SPARC due to an alignment problem

---
 test/Makefile | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/test/Makefile b/test/Makefile
index 6690d25..e195ea0 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -43,6 +43,10 @@ ifeq ($(NO_CRYPT),1)
 DIRS := $(filter-out crypt,$(DIRS))
 endif
 
+ifeq ($(NO_MISC),1)
+DIRS := $(filter-out misc,$(DIRS))
+endif
+
 test check all: run
 
 run: subdirs_run
-- 
2.40.1

